summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSimon McVittie <smcv@collabora.com>2023-12-01 19:10:50 +0000
committerSimon McVittie <smcv@collabora.com>2023-12-01 19:10:56 +0000
commit06606bd8cdf47b7adfb560bfd5c08689aec47bfd (patch)
tree55fc760f126098abb626608e348b11e0470f6151
parentaccbd6d041ae5eabcc91ff828a1c6321a6ae0811 (diff)
CI: Set language environment variables to safe values
Recent versions of glibc support C.UTF-8 natively, and both Debian and openSUSE (which we use for our CI) have been patching it into our glibc versions for several years before that. Helps: https://gitlab.freedesktop.org/dbus/dbus/-/issues/488 Signed-off-by: Simon McVittie <smcv@collabora.com>
-rwxr-xr-xtools/ci-build.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tools/ci-build.sh b/tools/ci-build.sh
index b95cfa86..ea6b35a2 100755
--- a/tools/ci-build.sh
+++ b/tools/ci-build.sh
@@ -29,6 +29,12 @@ set -x
NULL=
+if [ "$(uname -s || true)" = Linux ]; then
+ export LANG=C.UTF-8
+ export LANGUAGE=C.UTF-8
+ export LC_ALL=C.UTF-8
+fi
+
##
## initialize support to run cross compiled executables
##